[Numpy-discussion] Numpy not working (revised)

Steve Lianoglou lists.steve at arachnedesign.net
Wed Jul 5 22:56:14 CDT 2006


> I am trying to get numpy working with MacOSX 10.4 on an intel
> processor.  I had it working for Python2.3.5, but after installing
> Python 2.4 it didn't work on either python version.

Hi Stephen,

I've been able to get numpy/scipy installed on my MacBook Pro  
(although I do get three unit test failures when I run nump.test(1)  
-- which I'll post next)

One thing I'm noticing in what you printed out is that for some  
reason your doing something (linking?) to the version of Python that  
comes with your mac (2.3). Look at this output that you posted:

> -I/System/Library/Frameworks/Python.framework/Versions/2.3/include/ 
> python2.3

Maybe you should do a: "python setups.py clean" and also remove your  
numpy build directory and start over.

I guess you also have to make sure that all of your python 2.4  
binaries come first (in terms of environment var/PATH) before the 2.3  
binaries.

Also .. one more thing, I also noticed that you didn't have any  
fortran compilers in your path, you can get gfortran like so:

$curl -O http://easynews.dl.sourceforge.net/sourceforge/hpc/gfortran- 
intel-bin.tar.gz
$ sudo tar -C / -xzf gfortran-intel-bin.tar.gz

and it'll put gfortran in your /usr/local/bin (I got that info from  
http://bmistudents.blogspot.com/2006/04/on-installation-of-proper- 
python.html)

-steve




More information about the Numpy-discussion mailing list